| Home | Libraries | People | FAQ | More

##### http::basic_parser::on_body_impl

Called each time additional data is received representing the content body.

###### Synopsis

    std::size_t
    on_body_impl(
        string_view body,
        error_code& ec);

###### Description

This virtual function is invoked for each piece of the body which is received while parsing of a message. This function is only used when no chunked transfer encoding is present.

###### Parameters

Name | Description
--- | ---
`body` | A string holding the additional body contents. This may contain nulls or unprintable characters.
`ec` | An output parameter which the function may set to indicate an error. The error will be clear before this function is invoked.

###### See Also

`on_chunk_body_impl`